Name:           perl-IO-Compress-Zlib
Version:        2.005
Release:        2%{?dist}
Summary:        Perl interface to allow reading and writing of gzip and zip data

Group:          Development/Libraries
License:        Artistic or GPL
URL:            http://search.cpan.org/dist/IO-Compress-Zlib/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/IO-Compress-Zlib-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl, perl(ExtUtils::MakeMaker), perl(Test::Pod)
BuildRequires:  perl(Compress::Raw::Zlib), perl(IO::Compress::Base)
# IO::Compress::Bzip2 is needed for some tests
BuildRequires:  perl(IO::Compress::Bzip2)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a Perl interface to allow reading and writing of RFC
1950, 1951, 1952 (i.e. gzip) and zip files/buffers.

%prep
%setup -q -n IO-Compress-Zlib-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

#fix permissions on a couple of perl modules incorrectly set as executable
chmod a-x $RPM_BUILD_ROOT/%{perl_vendorlib}/IO/Uncompress/RawInflate.pm
chmod a-x $RPM_BUILD_ROOT/%{perl_vendorlib}/IO/Uncompress/Adapter/Identity.pm

%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/IO/
%{_mandir}/man3/*.3*


%changelog
* Tue Jul 17 2007 Robin Norwood <rnorwood@redhat.com> - 2.005-2
- Bump release to beat F-7 version

* Sun Jul 01 2007 Robin Norwood <rnorwood@redhat.com> - 2.005-1
- Update to 2.005.

* Wed Jun 06 2007 Robin Norwood <rnorwood@redhat.com> - 2.004-1
- Initial build from CPAN.
